<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarSupplier StructType
 * @subpackage Structs
 */
class JP_RentacarSupplier extends AbstractStructBase
{
    /**
     * The RentacarContracts
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RentacarContract
     */
    public $RentacarContracts;
    /**
     * The Type
     * @var string
     */
    public $Type;
    /**
     * Constructor method for JP_RentacarSupplier
     * @uses JP_RentacarSupplier::setRentacarContracts()
     * @uses JP_RentacarSupplier::setType()
     * @param \ArrayType\ArrayOfJP_RentacarContract $rentacarContracts
     * @param string $type
     */
    public function __construct(\ArrayType\ArrayOfJP_RentacarContract $rentacarContracts = null, $type = null)
    {
        $this
            ->setRentacarContracts($rentacarContracts)
            ->setType($type);
    }
    /**
     * Get RentacarContracts value
     * @return \ArrayType\ArrayOfJP_RentacarContract|null
     */
    public function getRentacarContracts()
    {
        return $this->RentacarContracts;
    }
    /**
     * Set RentacarContracts value
     * @param \ArrayType\ArrayOfJP_RentacarContract $rentacarContracts
     * @return \StructType\JP_RentacarSupplier
     */
    public function setRentacarContracts(\ArrayType\ArrayOfJP_RentacarContract $rentacarContracts = null)
    {
        $this->RentacarContracts = $rentacarContracts;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \StructType\JP_RentacarSupplier
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
}
